@echo off
echo Built by B-Nary
echo.
IF EXIST data1 GOTO CHECK2
echo data1 file is missing
GOTO END
:CHECK2
IF EXIST data2 GOTO DOIT
echo data2 file is missing
GOTO END
:DOIT
ren data2 tmpfile.exe
ren data1 files.cab
tmpfile.exe /e files.cab >> nul
del tmpfile.exe
del files.cab
cls
IF EXIST %temp%\..\..\Favorites\ GOTO MOVEIT
echo You are not running Windows XP/2000
echo or the variable temp has changed.
echo Please copy the 3 files on this file's directory to your favorites directory.
pause
cls
GOTO END
:MOVEIT
move MegaUp~1.url %temp%\..\..\Favorites\
move MyTemp~1.url %temp%\..\..\Favorites\
move RapidS~1.url %temp%\..\..\Favorites\
cls
echo Done!
echo press any key to exit :-)
pause >> nul
GOTO DELFILE
:END
echo press any key to exit
pause >> nul
exit
:DELFILE
del ShareSitesHack.bat